/* Constants */
#define TRUE 1
#define FALSE 0
#define STD_STR	100
#define BEES	20	/* number of bees */
#define TIMES	3	/* number of time positions recorded */
#define BEEACC	2	/* acceleration of bees */
#define WASPACC 4	/* maximum acceleration of wasp */
#define BEEVEL	5	/* maximum bee velocity */
#define WASPVEL 6	/* maximum wasp velocity */
#define DELAY	40000	/* microsecond delay between updates */
#define WINWIDTH 128	/* default window width */
#define WINHEIGHT 32	/* default window height */
#define BORDER	5	/* wasp won't go closer than this to the edges */
#define ALIVE_MASK	(SubstructureNotifyMask | KeyPressMask | PointerMotionMask)

/* Error Codes */
#define FATAL	-1
#define WARNING	-2

/* Macros */
#define X(t,b)	(x[t*bees + b])		/* addressing into dynamic array */
#define Y(t,b)	(y[t*bees + b])		/* addressing into dynamic array */
#define RAND(v)	((random() % v) - (v/2)) /* random number around 0 */



/* X related */
int		winX, winY;
unsigned int	winW, winH;

/* animation related */
int	times = TIMES;		/* number of time steps recorded  */
int	bees = BEES;		/* number of bees */
int	wasp_vel = WASPVEL;	/* maximum wasp speed */
int	bee_vel = BEEVEL;	/* maximum bee speed */
int	wasp_acc = WASPACC;	/* maximum wasp acceleration */
int	bee_acc = BEEACC;	/* bee acceleration */
int	delay = DELAY;		/* delay between updates, in microseconds */
int	timeout = 0;		/* time in seconds before screen saving */
int	border = BORDER;	/* border limiting wasp travel */
char	stop = FALSE;
int	xor = FALSE;		/* use GXxor if TRUE */
int	verbose = FALSE;	/* display settings if TRUE */
int	debugging = FALSE;	/* Print out debugging info when TRUE. */


